#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname	linphone
#-----------------------------------------------------------------------------
Name		:	liblinphone
Version		:	5.2.79
Release		:	14.4.0.0%{?dist}
Summary		:	Phone anywhere in the whole world by using the Internet
Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	https://gitlab.linphone.org/BC/public/liblinphone/

Source0		:	%{name}-%{version}.tar.gz
Patch		:	%{name}-%{version}-cmakedir.patch

#-----------------------------------------------------------------------------
BuildRequires	:	belr-devel
BuildRequires	:	belle-sip-devel
BuildRequires	:	bzrtp-devel
BuildRequires	:	doxygen
BuildRequires	:	ffmpeg-devel
BuildRequires	:	jsoncpp-devel
BuildRequires	:	libnotify
BuildRequires	:	lime-devel
BuildRequires	:	mediastreamer2-devel
BuildRequires	:	ortp-devel
BuildRequires	:	python3-pystache
BuildRequires	:	soci-devel
BuildRequires	:	soci-sqlite3-devel

Requires	:	soci
#-----------------------------------------------------------------------------
%description
Linphone is mostly sip compliant. It works successfully
with these implementations:
  * eStara softphone (commercial software for windows)
  * Pingtel phones (with DNS enabled and VLAN QOS support disabled).
  * Hotsip, a free of charge phone for Windows.
  * Vocal, an open source SIP stack from Vovida that includes a SIP proxy
    that works with linphone since version 0.7.1.
  * Siproxd is a free sip proxy being developed by Thomas Ries because he
    would like to have linphone working behind his firewall. Siproxd is
    simple to setup and works perfectly with linphone.
  * Partysip aims at being a generic and fully functionnal SIP proxy. Visit
    the web page for more details on its functionalities.
 
Linphone may work also with other sip phones, but this
has not been tested yet.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%{_bindir}/%{sname}-daemon
%{_bindir}/%{sname}-daemon-pipetest
%{_libdir}/%{name}.so.10
%{_libdir}/%{name}++.so.10
%{_datadir}/%{sname}/rootca.pem
%{_datadir}/applications/audio-assistant.desktop
%{_datadir}/belr/grammars/*_grammar
%{_datadir}/sounds/%{sname}/*.wav
%{_datadir}/sounds/%{sname}/dont_wait_too_long.mkv
%{_datadir}/sounds/%{sname}/silence.mkv
%{_datadir}/sounds/%{sname}/rings/*.wav
%{_datadir}/sounds/%{sname}/rings/*.mkv

#=============================================================================
%package		devel
Summary		:	Header files, libraries and development documentation for %{name}
	
#-----------------------------------------------------------------------------
Requires	:	%{name}			= %{version}-%{release}
Requires	:	pkg-config

#-----------------------------------------------------------------------------
%description		devel
This package contains the header files, dynamic libraries and
development documentation for %{name}. If you would like to
develop programs using %{name}, you will need to install
%{name}-devel.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{sname}/*.h
%{_includedir}/%{sname}/FlexiAPIClient.hh
%{_includedir}/%{sname}/api/c-*.h
%{_includedir}/%{sname}/enums/*.h
%{_includedir}/%{sname}/utils/*.h
%{_includedir}/%{sname}++/*.hh
%{_libdir}/%{name}.so
%{_libdir}/%{name}++.so
%{_libdir}/cmake/%{sname}/*.cmake
%{_libdir}/cmake/%{sname}Cxx/*.cmake

#=============================================================================
%package		tester
Summary		:	tester libraries for %{name}
	
#-----------------------------------------------------------------------------
Requires	:	%{name}			= %{version}-%{release}
Requires	:	pkg-config

#-----------------------------------------------------------------------------
%description		tester
This package contains the header files, dynamic libraries and
development documentation for %{name}. If you would like to
develop programs using %{name}, you will need to install
%{name}-devel.

#-----------------------------------------------------------------------------
%files			tester
%defattr(-,root,root,-)
%{_bindir}/%{sname}c
%{_bindir}/%{sname}csh
%{_bindir}/groupchat_benchmark
%{_bindir}/lp-auto-answer
%{_bindir}/lp-sendmsg
%{_bindir}/lp-test-ecc
%{_bindir}/%{name}_tester
%{_bindir}/lpc2xml_test
%{_bindir}/xml2lpc_test
%{_datadir}/%{name}_tester/local_tester_hosts
%{_datadir}/%{name}_tester/tester_hosts
%{_datadir}/%{name}_tester/certificates/altname/*.pem
%{_datadir}/%{name}_tester/certificates/altname/*.cnf
%{_datadir}/%{name}_tester/certificates/client/*.pem
%{_datadir}/%{name}_tester/certificates/cn/*.pem
%{_datadir}/%{name}_tester/certificates/cn/*.cnf
%{_datadir}/%{name}_tester/db/*.db
%{_datadir}/%{name}_tester/images/%{sname}.svg
%{_datadir}/%{name}_tester/images/*jpg
%{_datadir}/%{name}_tester/rcfiles/assistant_create.rc
%{_datadir}/%{name}_tester/rcfiles/invalid_friends_xml
%{_datadir}/%{name}_tester/rcfiles/laure_rc_udp
%{_datadir}/%{name}_tester/rcfiles/marie_rc_call_logs_migration
%{_datadir}/%{name}_tester/rcfiles/marie_rc_rtcp_xr
%{_datadir}/%{name}_tester/rcfiles/michelle_rc_udp
%{_datadir}/%{name}_tester/rcfiles/pauline_rc_rtcp_xr
%{_datadir}/%{name}_tester/rcfiles/*_rc
%{_datadir}/%{name}_tester/sipp/*.xml
%{_datadir}/%{name}_tester/sounds/*.mkv
%{_datadir}/%{name}_tester/sounds/*.wav
%{_datadir}/%{name}_tester/vcards/*.vcf
%{_datadir}/applications/%{sname}.desktop

#=============================================================================
%prep
%setup -q

#To rename cmake library
%patch -P 0 -p1
sed -i							\
  -e "s/CXX_STANDARD 14/CXX_STANDARD 17/"		\
  CMakeLists.txt

sed -i 							\
  -e "s:LinphoneCxx/cmake:cmake/linphoneCxx:"		\
  -e "s:DATADIR}/cmake:LIBDIR}/cmake:"			\
  wrappers/cpp/CMakeLists.txt

%{__mkdir_p} .git
 
#-----------------------------------------------------------------------------
%build

cmake							\
	.						\
	-B _build					\
	-G Ninja					\
	-D CMAKE_PREFIX_PATH=%{_prefix}			\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}		\
	-D ENABLE_CXX_WRAPPER=yes			\
	-D ENABLE_STRICT=OFF				\
	-D ENABLE_SHARED=YES				\
	-D ENABLE_STATIC=NO				\
	-D ENABLE_ADVANCED_IM=NO			\
	-D ENABLE_VCARD=NO				\
	-D ENABLE_QRCODE=NO				\
	-D ENABLE_LIME=YES				\
	-D ENABLE_LIME_X3DH=NO				\
	-D ENABLE_VIDEO=YES				\
	-D ENABLE_TOOLS=YES				\
	-D ENABLE_GTK_UI=YES				\
	-D ENABLE_UNIT_TESTS=YES			\
	-D ENABLE_PACKAGE_SOURCE=YES			\
	-D ENABLE_DB_STORAGE=YES			\
	-D ENABLE_CONSOLE_UI=YES			\

ninja							\
	-C _build


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
        ninja						\
        -C _build					\
        install

#-----------------------------------------------------------------------------
%changelog
